import React from 'react';
import ReactDOM from 'react-dom';
import ComboBox from '../index';

require('./stylesheets/material.scss');

class Example extends React.Component {
    constructor(props) {
        super(props);

        this.state = {
            value: ''
        }
    }

    render() {
        return (
            <span>
                <ComboBox
                    name="combobox"
                    onChange={
                        (value) => {
                            console.log(value);
                        }
                    }
                    placeholder="my custom placeholder"
                    value={this.state.value}
                >
                    <p value="foo">foo</p>
                    <p value="bar">bar</p>
                    <p value="john doe">john doe</p>
                    <p value="banana">banana</p>
                    <p value="banana king">banana king</p>
                    <p value="charlie is my favorite character">charlie is my favorite character</p>
                </ComboBox>
                <p>Some text, under the ComboBox menu.</p>
                <button onClick={() => {this.setState({value: 'charlie'})}}>change value</button>
            </span>
        );
    }
}

ReactDOM.render(
    <Example/>,
    document.getElementById('example')
);
